Package org.apache.commons.compress.harmony.unpack200

# Class IcTuple

java.lang.Object
org.apache.commons.compress.harmony.unpack200.IcTuple

public class IcTuple extends Object
An IcTuple is the set of information that describes an inner class. C is the fully qualified class name
F is the flags
C2 is the outer class name, or null if it can be inferred from C
N is the inner class name, or null if it can be inferred from C

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `C`
  `protected String`
  `C2`
  `protected int`
  `F`
  `protected String`
  `N`
  `static final int`
  `NESTED_CLASS_FLAG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IcTuple(String C, int F, String C2, String N, int cIndex, int c2Index, int nIndex, int tIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  `String`
  `getC()`
  `String`
  `getC2()`
  `int`
  `getF()`
  `String`
  `getN()`
  `int`
  `getTupleIndex()`
  `int`
  `hashCode()`
  `String[]`
  `innerBreakAtDollar(String className)`
  Break the receiver into components at $ boundaries.
  `boolean`
  `isAnonymous()`
  `boolean`
  `isMember()`
  `boolean`
  `nestedExplicitFlagSet()`
  Answer true if the receiver's bit 16 is set (indicating that explicit outer class and name fields are set).
  `boolean`
  `nullSafeEquals(String stringOne, String stringTwo)`
  `int`
  `outerClassIndex()`
  `String`
  `outerClassString()`
  Answer the outer class name for the receiver.
  `boolean`
  `outerIsAnonymous()`
  `boolean`
  `predicted()`
  Answer true if the receiver is predicted; answer false if the receiver is specified explicitly in the outer and name fields.
  `String`
  `simpleClassName()`
  Answer the inner class name for the receiver.
  `int`
  `simpleClassNameIndex()`
  `int`
  `thisClassIndex()`
  `String`
  `thisClassString()`
  Answer the full name of the inner class represented by this tuple (including its outer component)
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NESTED_CLASS_FLAG

    public static final int NESTED_CLASS_FLAG
    See Also:
      - Constant Field Values

  - ### C

    protected String C

  - ### F

    protected int F

  - ### C2

    protected String C2

  - ### N

    protected String N

- ## Constructor Details

  - ### IcTuple

    public IcTuple(String C, int F, String C2, String N, int cIndex, int c2Index, int nIndex, int tIndex)
    Parameters:
      `C` - TODO
      `F` - TODO
      `C2` - TODO
      `N` - TODO
      `cIndex` - the index of C in cpClass
      `c2Index` - the index of C2 in cpClass, or -1 if C2 is null
      `nIndex` - the index of N in cpUTF8, or -1 if N is null
      `tIndex` - TODO

- ## Method Details

  - ### equals

    public boolean equals(Object object)
    Overrides:
      `equals` in class `Object`

  - ### getC

    public String getC()

  - ### getC2

    public String getC2()

  - ### getF

    public int getF()

  - ### getN

    public String getN()

  - ### getTupleIndex

    public int getTupleIndex()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### innerBreakAtDollar

    public String[] innerBreakAtDollar(String className)
    Break the receiver into components at $ boundaries.
    Parameters:
      `className` - TODO
    Returns:
      TODO

  - ### isAnonymous

    public boolean isAnonymous()

  - ### isMember

    public boolean isMember()

  - ### nestedExplicitFlagSet

    public boolean nestedExplicitFlagSet()
    Answer true if the receiver's bit 16 is set (indicating that explicit outer class and name fields are set).
    Returns:
      boolean

  - ### nullSafeEquals

    public boolean nullSafeEquals(String stringOne, String stringTwo)

  - ### outerClassIndex

    public int outerClassIndex()

  - ### outerClassString

    public String outerClassString()
    Answer the outer class name for the receiver. This may either be specified or inferred from inner class name.
    Returns:
      String name of outer class

  - ### outerIsAnonymous

    public boolean outerIsAnonymous()

  - ### predicted

    public boolean predicted()
    Answer true if the receiver is predicted; answer false if the receiver is specified explicitly in the outer and name fields.
    Returns:
      true if the receiver is predicted; answer false if the receiver is specified explicitly in the outer and name fields.

  - ### simpleClassName

    public String simpleClassName()
    Answer the inner class name for the receiver.
    Returns:
      String name of inner class

  - ### simpleClassNameIndex

    public int simpleClassNameIndex()

  - ### thisClassIndex

    public int thisClassIndex()

  - ### thisClassString

    public String thisClassString()
    Answer the full name of the inner class represented by this tuple (including its outer component)
    Returns:
      String full name of inner class

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`